#ifndef NODEDELAY_H_
#define NODEDELAY_H_

#include "networks/wiredbas/WiredBasImplementation.h"
#include "quantities/TransferTable.h"
#include "quantities/RealDelay.h"
#include "float.h"

namespace cosi {

namespace models {

namespace wiredbas {

class NodeDelay {
public:
	NodeDelay();
	virtual ~NodeDelay();
	virtual RealDelay Get(Vertex Node, cosi::commstruct::wiredbas::Implementation* pI,Vertex Src , std::string Dest) = 0;
	virtual double GetValue(Vertex Node, cosi::commstruct::wiredbas::Implementation* pI,Vertex Src , std::string Dest) = 0;
};

}

}

}

#endif /*NODEDELAY_H_*/
